Last modified: 2014-11-20 09:16:54 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26665 - On Firefox non-RTL search suggestions on an RTL wiki are first shown backwards
On Firefox non-RTL search suggestions on an RTL wiki are first shown backwards
Status: REOPENED
Product: MediaWiki
Classification: Unclassified
Search (Other open bugs)
1.22.0
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: 28708 44881
  Show dependency treegraph
 
Reported: 2011-01-11 11:29 UTC by Amir E. Aharoni
Modified: 2014-11-20 09:16 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
a screenshot in which the directionality in the search box is messed (49.36 KB, image/png)
2011-01-11 11:29 UTC, Amir E. Aharoni
Details
a screenshot in which the directionality in the search box is good - on the second attempt (45.09 KB, image/png)
2011-01-11 11:30 UTC, Amir E. Aharoni
Details

Description Amir E. Aharoni 2011-01-11 11:29:12 UTC
Created attachment 7971 [details]
a screenshot in which the directionality in the search box is messed

This bug is a bit complicated to explain.

First, it only seems to happen on Firefox. It doesn't happen on MSIE, Safari, Chrome and Opera. (Latest versions of all of them, on XP and Vista.) And it only happens with the Vector skin.

Enter an RTL Wikipedia, for example Hebrew.

Type the letter 'A' in the search box. There will be several suggestions: A, ABC, Allmusic, Associated Press, etc. But they won't appear correctly: it will be BCA, llmusicA, ssociated PressA. That is, the first letter goes in the end. (See the screenshot.)

Now click somewhere so that the drop-down will disappear and try it again. Now it will appear correctly.
Comment 1 Amir E. Aharoni 2011-01-11 11:30:36 UTC
Created attachment 7972 [details]
a screenshot in which the directionality in the search box is good - on the second attempt

Add a screenshot with proper display.

I forgot to add that if you refresh (Ctrl-F5), the bug comes back again for one time and than it is sorted out.
Comment 2 Roan Kattouw 2011-01-11 14:30:18 UTC
This works for me in trunk.
Comment 4 Amir E. Aharoni 2011-01-11 14:50:42 UTC
Thanks. This problem appears to be solved on the Arabic prototype, although it has other problems:

* the browser's autocomplete is not turned off
* the word "Search" (ابحث) disappears the first time i click right in the search box, but if i delete what i wrote in the box, it reappears as a regular word and doesn't disappear when i click it the second time. The same happens on deployment-es.
Comment 5 Roan Kattouw 2011-01-11 14:56:01 UTC
(In reply to comment #4)
> Thanks. This problem appears to be solved on the Arabic prototype, although it
> has other problems:
> 
> * the browser's autocomplete is not turned off
Can't reproduce that. Try hard refreshing?

> * the word "Search" (ابحث) disappears the first time i click right in the
> search box, but if i delete what i wrote in the box, it reappears as a regular
> word and doesn't disappear when i click it the second time. The same happens on
> deployment-es.
Yup, that I can reproduce. Filed as bug 26668.
Comment 6 Amir E. Aharoni 2011-01-11 14:58:09 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Thanks. This problem appears to be solved on the Arabic prototype, although it
> > has other problems:
> > 
> > * the browser's autocomplete is not turned off
> Can't reproduce that. Try hard refreshing?

Hmm, doesn't happen any more. I'll report if it comes back.

Thanks!
Comment 7 Amir E. Aharoni 2011-03-02 15:22:13 UTC
It happens again in the Hebrew and the Arabic Wikipedias. I imagined that it would be fixed in 1.17.
Comment 8 Roan Kattouw 2011-03-05 19:42:49 UTC
(In reply to comment #0)
> Created attachment 7971 [details]
> a screenshot in which the directionality in the search box is messed
> 
> This bug is a bit complicated to explain.
> 
> First, it only seems to happen on Firefox. It doesn't happen on MSIE, Safari,
> Chrome and Opera. (Latest versions of all of them, on XP and Vista.) And it
> only happens with the Vector skin.
> 
> Enter an RTL Wikipedia, for example Hebrew.
> 
> Type the letter 'A' in the search box. There will be several suggestions: A,
> ABC, Allmusic, Associated Press, etc. But they won't appear correctly: it will
> be BCA, llmusicA, ssociated PressA. That is, the first letter goes in the end.
> (See the screenshot.)
> 
> Now click somewhere so that the drop-down will disappear and try it again. Now
> it will appear correctly.
I just managed to reproduce these exact symptoms on trunk. It's most likely a CSS or DOM order issue in SimpleSearch. The really weird part is that if I blank the search box, blur and refocus it, and type a different letter, the suggestions for that letter will show up correctly. It's only broken the first time.
Comment 9 Bugmeister Bot 2011-08-19 19:12:56 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 10 Andre Klapper 2013-04-03 13:20:04 UTC
This still happens on he.wikipedia.org with Firefox 18.
Comment 11 Krinkle 2014-09-01 16:22:49 UTC
(Not Vector specific as far as I can tell. Affects the general search modules used by various skins, provided by core.)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links